Run eBay Seller Items
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-ebay-seller-items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"seller": "cocosmartphones",
"max_items": 25
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-ebay-seller-items"
payload = {
"seller": "cocosmartphones",
"max_items": 25
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({seller: 'cocosmartphones', max_items: 25})
};
fetch('https://api.neuralverge.ai/functions/v1/run-ebay-seller-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "ebay_seller_items",
"seller": "musicmagpie",
"max_items": 2,
"start_page": 1,
"human": "# eBay seller items\n\n- **Seller:** musicmagpie\n- **Starting page:** 1\n- **Max items:** 2\n- **Records returned:** 2\n- **Proxy traffic:** 619.0 KB",
"machine": {
"total_items": 2,
"items": [
{
"id": "381476869606",
"url": "https://www.ebay.com/itm/381476869606?itmmeta=01M39RKVHJC9AB0RY5ZY2CBCG7&hash=item58d1cb15e6:g:ih8AAOSw0iBj2Esy",
"price": 5.38,
"currency": "USD",
"list_price": null,
"condition": "Pre-Owned",
"subtitle": "The Stone Roses : The Stone Roses CD (1997) Incredible Value and Free Shipping!Opens in a new window or tab",
"sold_count": null,
"image": "https://i.ebayimg.com/images/g/ih8AAOSw0iBj2Esy/s-l500.webp",
"buying_format": null,
"bid_count": null,
"has_best_offer": false
},
{
"id": "291623911254",
"url": "https://www.ebay.com/itm/291623911254?itmmeta=01M39RKVHJKZTD7HE9W0M2Q52J&hash=item43e623bf56:g:7o4AAOSwr1BoUf9D",
"price": 19.96,
"currency": "USD",
"list_price": null,
"condition": "Pre-Owned",
"subtitle": "Crystal Castles : Crystal Castles CD (2010) Incredible Value and Free Shipping!Opens in a new window or tab",
"sold_count": null,
"image": "https://i.ebayimg.com/images/g/7o4AAOSwr1BoUf9D/s-l500.webp",
"buying_format": null,
"bid_count": null,
"has_best_offer": false
}
],
"proxy_traffic_bytes": 633892
},
"total_points": 2
}E-commerce & Marketplaces
Run eBay Seller Items
Lists active eBay listings for a seller: title, price, condition, and image. List endpoint: 1 point per returned record.
POST
/
functions
/
v1
/
run-ebay-seller-items
Run eBay Seller Items
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.